html {
  font-size: 14px;
}

@media (min-width: 768px) {
  html {
    font-size: 16px;
  }
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
  box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

html {
  position: relative;
  min-height: 100%;
}

body {
  margin-bottom: 60px;
}

.modal {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 1;
}

.modal-content {
    position: relative;
    background-color: #fff;
    margin: 10% auto;
    padding: 20px;
    border-radius: 5px;
    max-width: 800px;
    box-shadow: #4f4c4c97 2px 2px 12px;
    background-color: rgb(252, 210, 157, 0.78);
    backdrop-filter: blur(5px);
    animation-name: modal-fade-in;
    animation-duration: 0.5s;
}

.modal-header {
    border-bottom: 1px solid #ccc;
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: rgb(66, 70, 70, 0.53);
    backdrop-filter: blur(5px);
    padding: 4px 10px 4px 40%;
}

    .modal-header a {
        text-decoration: none;
        text-align: right;
        color: white;
        font-size: 40px;
    }

    .modal-header h4 {
        text-align: center;
        color: white;
    }

.close {
    font-size: 24px;
    cursor: pointer;
}

.modal-body {
    padding: 20px 0;
}

.modal-footer {
    text-align: right;
}

/* Animation for modal fade-in */
@keyframes modal-fade-in {
    from {
        opacity: 0;
        transform: translateY(-20px);
    }

    to {
        opacity: 1;
        transform: translateY(0);
    }
}


/*=========== spinner ===================*/
/* HTML: <div class="loader"></div> */
.spinner-container{
    position:fixed;
    display:flex;
    justify-content:center;
    align-items:center;
    top:0;left:0;width:100%;height:100%;
    background:#b1a9a9a6;
    z-index:50;
}

/* HTML: <div class="loader"></div> */
.loader {
    width: 150px;
    aspect-ratio: 1;
    display: grid;
    color: #854f1d;
    background: radial-gradient(farthest-side, currentColor calc(100% - 16px),#0000 calc(100% - 15px) 0);
    -webkit-mask: radial-gradient(farthest-side,#0000 calc(100% - 13px),#000 calc(100% - 12px));
    border-radius: 50%;
    animation: l19 2s infinite linear;
}

    .loader::before,
    .loader::after {
        content: "";
        grid-area: 1/1;
        background: linear-gradient(currentColor 0 0) center, linear-gradient(currentColor 0 0) center;
        background-size: 100% 10px,10px 100%;
        background-repeat: no-repeat;
    }

    .loader::after {
        transform: rotate(45deg);
    }

@keyframes l19 {
    100% {
        transform: rotate(1turn)
    }
}


